/*
 * File:		freedom_green_led.c
 * Purpose:		Main process
 *
 */

#include "common.h"


#define RED			(29)                            //bit nr. 29
#define RED_SHIFT		(1 << 29)                       //set bit nr. 29
#define GREEN			(5)
#define GREEN_SHIFT		(1 << 5)

#define RED_OFF			(GPIOE_PSOR = RED_SHIFT)        //set
#define RED_ON			(GPIOE_PCOR = RED_SHIFT)        //clear
#define RED_TOGGLE		(GPIOE_PTOR = RED_SHIFT)        //not

#define GREEN_OFF		(GPIOD_PSOR = GREEN_SHIFT)
#define GREEN_ON		(GPIOD_PCOR = GREEN_SHIFT)
#define GREEN_TOGGLE	        (GPIOD_PTOR = GREEN_SHIFT)

/********************************************************************/
int main (void)
{
        printf("\n\n\rRunning the blinky project.\n\r");
        
    	int32 delay;

	/*
	 * Initialize the Red LED (PTE29)
	 */
	{
		/* Turn on clock to PortE module */
		SIM_SCGC5 |= SIM_SCGC5_PORTE_MASK;

		/* Set the PTE29 pin multiplexer to GPIO mode */
		PORTE_PCR29 = PORT_PCR_MUX(1);

		/* Set the initial output state to high */
		GPIOE_PSOR |= RED_SHIFT;

		/* Set the pins direction to output */
		GPIOE_PDDR |= RED_SHIFT;
	}

	/*
	 * Initialize the Green LED (PTD5)
	 */
	{
		/* Turn on clock to PortD module */
		SIM_SCGC5 |= SIM_SCGC5_PORTD_MASK;

		/* Set the PTD5 pin multiplexer to GPIO mode */
		PORTD_PCR5 = PORT_PCR_MUX(1);

		/* Set the input port */
		GPIOD_PSOR |= GREEN_SHIFT;

		/* Set the pins direction to output */
		GPIOD_PDDR |= GREEN_SHIFT;
	}

        GREEN_ON;   // Green LED
        GREEN_OFF;
        
        RED_ON;   // Red LED
        RED_OFF;

	while(1)
	{
	  RED_TOGGLE;
          GREEN_TOGGLE;
          for (delay=0; delay<1000000; delay++);
          
	} 
}
/********************************************************************/
